Bug 426537 - Review Request: perl-Test-YAML-Valid - Lets you test the validity of YAML files in unit tests
Review Request: perl-Test-YAML-Valid - Lets you test the validity of YAML fil...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 426539
  Show dependency treegraph
 
Reported: 2007-12-21 16:35 EST by Daniel Berrange
Modified: 2011-04-08 16:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-22 13:11:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2007-12-21 16:35:14 EST
Spec URL: http://berrange.fedorapeople.org/review/perl-Test-YAML-Valid/perl-Test-YAML-Valid.spec
SRPM URL: http://berrange.fedorapeople.org/review/perl-Test-YAML-Valid/perl-Test-YAML-Valid-0.03-1.fc9.src.rpm
Description: 
This module was written to ensure that a META.yml file, provided with a
standard distribution uploaded to CPAN, meets the specifications that
slowly being introduced to module uploads, via the use of
ExtUtils::MakeMaker, Module::Build and Module::Install.
Comment 1 Parag AN(पराग) 2007-12-21 22:46:51 EST
mock build is successful.
rpmlint is silent.
License is GPL+ or Artistic.
source matches upstream
ef76bf8995f8165253d58a29d77da8e8  Test-YAML-Valid-0.03.tar.gz
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/00-load.t t/01-test-yaml-syck.t
t/01-test-yaml.t t/02-test-yaml-output.t t/02-test-yaml-syck-output.t
t/boilerplate.t t/pod-coverage.t t/pod.t
t/00-load.....................# Testing Test::YAML::Valid 0.03, Perl 5.008008,
/usr/bin/perl
# YAML version 0.66
# YAML::Syck version 0.98
ok
t/01-test-yaml-syck...........ok
t/01-test-yaml................ok
t/02-test-yaml-output.........ok
t/02-test-yaml-syck-output....ok
t/boilerplate.................ok
t/pod-coverage................ok
t/pod.........................ok
All tests successful.
Files=8, Tests=26,  1 wallclock secs ( 0.86 cusr +  0.11 csys =  0.97 CPU)

Provides: perl(Test::YAML::Valid) = 0.03

APPROVED.
Comment 2 Daniel Berrange 2007-12-21 23:07:40 EST
New Package CVS Request
=======================
Package Name: perl-Test-YAML-Valid
Short Description: Test the validity of YAML files in unit tests
Owners: berrange
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 3 Tom "spot" Callaway 2007-12-22 10:55:16 EST
cvs done
Comment 4 Daniel Berrange 2007-12-22 13:11:04 EST
$ koji latest-pkg dist-f9 perl-Test-YAML-Valid
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
perl-Test-YAML-Valid-0.03-1.fc9           dist-f9               berrange
Comment 5 Daniel Berrange 2010-06-29 07:31:01 EDT

Package Change Request
======================
Package Name: perl-Test-YAML-Valid
New Branches: EL-6
Owners: berrange
Comment 6 Kevin Fenzi 2010-06-29 20:58:03 EDT
CVS done (by process-cvs-requests.py).
Comment 7 Paul Howarth 2011-03-16 12:02:41 EDT
I would like to request EPEL-4 and EPEL-5 branches of this package. I am willing to maintain/co-maintain if the current maintainer isn't interested.

This is needed for a Test::CPAN::Meta::YAML package I'm preparing.
Comment 8 Paul Howarth 2011-03-24 12:39:14 EDT
No response to EPEL-4/5 branch requests, so I'll request them myself. Daniel is welcome to maintainership of these branches if he wants - just apply in pkgdb.

Package Change Request
======================
Package Name: perl-Test-YAML-Valid
New Branches: EL-4 EL-5
Owners: pghmcfc
InitialCC: perl-sig
Comment 9 Jason Tibbitts 2011-03-24 15:06:37 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2011-03-24 17:05:04 EDT
perl-Test-YAML-Valid-0.04-5.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Test-YAML-Valid-0.04-5.el4
Comment 11 Fedora Update System 2011-03-24 17:05:12 EDT
perl-Test-YAML-Valid-0.04-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-YAML-Valid-0.04-5.el5
Comment 12 Fedora Update System 2011-04-08 16:30:15 EDT
perl-Test-YAML-Valid-0.04-5.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 13 Fedora Update System 2011-04-08 16:31:15 EDT
perl-Test-YAML-Valid-0.04-5.el4 has been pushed to the Fedora EPEL 4 stable repository.

Note You need to log in before you can comment on or make changes to this bug.